org.eclipse.rdf4j.query.parser.sparql

## Class UpdateExprBuilder

- java.lang.Object
- - org.eclipse.rdf4j.query.parser.sparql.AbstractASTVisitor
  - - org.eclipse.rdf4j.query.parser.sparql.TupleExprBuilder
    - - org.eclipse.rdf4j.query.parser.sparql.UpdateExprBuilder

- All Implemented Interfaces:
    SyntaxTreeBuilderVisitor

      public class UpdateExprBuilder
      extends TupleExprBuilder

  Extension of TupleExprBuilder that builds Update Expressions.
  Author:
    Jeen Broekstra

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.rdf4j.query.parser.sparql.TupleExprBuilder

      `TupleExprBuilder.SameTermCollector, TupleExprBuilder.VarCollector`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UpdateExprBuilder(ValueFactory valueFactory)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Add` | `visit(ASTAdd node, Object data)`
    `Clear` | `visit(ASTClear node, Object data)`
    `Copy` | `visit(ASTCopy node, Object data)`
    `Create` | `visit(ASTCreate node, Object data)`
    `TupleExpr` | `visit(ASTDeleteClause node, Object data)`
    `DeleteData` | `visit(ASTDeleteData node, Object data)`
    `Modify` | `visit(ASTDeleteWhere node, Object data)`
    `Clear` | `visit(ASTDrop node, Object data)`
    `TupleExpr` | `visit(ASTInsertClause node, Object data)`
    `InsertData` | `visit(ASTInsertData node, Object data)`
    `Load` | `visit(ASTLoad node, Object data)`
    `Modify` | `visit(ASTModify node, Object data)`
    `Move` | `visit(ASTMove node, Object data)`
    `TupleExpr` | `visit(ASTQuadsNotTriples node, Object data)`
    `UpdateExpr` | `visit(ASTUpdate node, Object data)`

    - ### Methods inherited from class org.eclipse.rdf4j.query.parser.sparql.TupleExprBuilder

      `getValueForExpr, mapValueExprToVar, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit`

    - ### Methods inherited from class org.eclipse.rdf4j.query.parser.sparql.AbstractASTVisitor

      `visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UpdateExprBuilder

          public UpdateExprBuilder(ValueFactory valueFactory)

      Parameters:
        `valueFactory` -

  - ### Method Detail

    - #### visit

          public UpdateExpr visit(ASTUpdate node,
                                  Object data)
                           throws VisitorException

      Overrides:
        `visit` in class `AbstractASTVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public InsertData visit(ASTInsertData node,
                                  Object data)
                           throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Overrides:
        `visit` in class `AbstractASTVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public DeleteData visit(ASTDeleteData node,
                                  Object data)
                           throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Overrides:
        `visit` in class `AbstractASTVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public TupleExpr visit(ASTQuadsNotTriples node,
                                 Object data)
                          throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Overrides:
        `visit` in class `AbstractASTVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Modify visit(ASTDeleteWhere node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Overrides:
        `visit` in class `AbstractASTVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Load visit(ASTLoad node,
                            Object data)
                     throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Overrides:
        `visit` in class `AbstractASTVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Clear visit(ASTClear node,
                             Object data)
                      throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Overrides:
        `visit` in class `AbstractASTVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Clear visit(ASTDrop node,
                             Object data)
                      throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Overrides:
        `visit` in class `AbstractASTVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Create visit(ASTCreate node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Overrides:
        `visit` in class `AbstractASTVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Copy visit(ASTCopy node,
                            Object data)
                     throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Overrides:
        `visit` in class `AbstractASTVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Move visit(ASTMove node,
                            Object data)
                     throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Overrides:
        `visit` in class `AbstractASTVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Add visit(ASTAdd node,
                           Object data)
                    throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Overrides:
        `visit` in class `AbstractASTVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Modify visit(ASTModify node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Overrides:
        `visit` in class `AbstractASTVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public TupleExpr visit(ASTDeleteClause node,
                                 Object data)
                          throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Overrides:
        `visit` in class `AbstractASTVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public TupleExpr visit(ASTInsertClause node,
                                 Object data)
                          throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Overrides:
        `visit` in class `AbstractASTVisitor`
      Throws:
        `VisitorException`

Copyright © 2015-2020 Eclipse Foundation. All Rights Reserved.